import { WorkflowObject, Position } from '../models/types';
import * as i0 from "@angular/core";
export declare class NodeSelectionService {
    private workflowState;
    private nodeFinder;
    private canvasState;
    handleNodeClick(point: Position): void;
    selectNode(nodeId: string): void;
    clearSelection(): void;
    isSelected(nodeId: string): boolean;
    getSelectedNode(): WorkflowObject | null;
    canSelectNode(node: WorkflowObject): boolean;
    handleToolSelection(nodeType: string | null): void;
    handleKeyboardEvent(event: KeyboardEvent): void;
    handleClickOutside(event: MouseEvent): void;
    deleteSelectedObject(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NodeSelectionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NodeSelectionService>;
}
